FLANG

Public Member Functions | List of all members
Fortran::parser::Preprocessor Class Reference

## Public Member Functions
| Preprocessor (AllSources &)
void | Define (std::string macro, std::string value)
void | Undefine (std::string macro)
std::optional< TokenSequence > | MacroReplacement (const TokenSequence &, const Prescanner &)
void | Directive (const TokenSequence &, Prescanner *)

The documentation for this class was generated from the following files:

- lib/Parser/preprocessor.h
- lib/Parser/preprocessor.cpp